﻿namespace SoFii {
    public readonly struct SoF2VideoMode {
        public int Mode { get; }
        public string Resolution { get; }

        public SoF2VideoMode(int mode, string res) {
            Mode = mode;
            Resolution = res;
        }

        public override string ToString() {
            return Resolution;
        }

        public override bool Equals(object obj) {
            if(obj is int num && num == Mode)
                return true;

            return base.Equals(obj);
        }

        public override int GetHashCode() {
            return base.GetHashCode();
        }
    }
}
